# $Revision: 1.29 $, $Date: 2002/08/06 07:43:58 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	HTML
%define	pnam	Table
Summary:	HTML::Table perl module
Summary(pl):	Modu perla HTML::Table
Name:		perl-HTML-Table
Version:	1.16
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML::Table module produces HTML tables.

%description -l pl
Modu HTML::Table tworzy tabele w HTML.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_sitelib}/HTML/Table.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-HTML-Table.spec,v $
Revision 1.29  2002/08/06 07:43:58  kloczek
- updated to 1.16.

Revision 1.28  2002/07/11 13:00:58  qboosh
- new %%doc, cosmetics

Revision 1.27  2002/07/11 07:59:44  depesz
- new version; should work; STBR

Revision 1.26  2002/07/10 08:47:36  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.25  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.24  2002/02/25 10:32:06  depesz
cleanup; revision++

Revision 1.23  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/02/13 14:16:24  depesz
automatic: Source location unfied, Relase Up

Revision 1.21  2002/02/10 15:27:21  depesz
adapterized

Revision 1.20  2002/01/18 02:14:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/08/20 09:25:28  mis
- autoupdated to 1.11

Revision 1.18  2001/06/12 18:27:39  mis
- autoupdated to 1.09

Revision 1.17  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.16  2001/05/19 12:09:00  mis
- autoupdated to 1.08

Revision 1.15  2001/04/17 12:10:30  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.14  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.13  2001/03/09 15:01:09  mis
- updated (by autoup) to 1.07b

Revision 1.12  2001/02/28 18:58:36  mis
- updated (by autoup) to 1.07

Revision 1.11  2001/02/20 14:55:20  mis
- updated (by autoup) to 1.06

Revision 1.10  2001/02/20 14:18:53  mis
- updated (by autoup) to 1.04a

Revision 1.9  2001/02/05 21:19:57  kloczek
- updated to 1.04.

Revision 1.8  2001/01/08 20:04:18  kloczek
- release 4: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/19 22:53:35  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:53  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 18:42:13  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/01 21:51:12  pius
- initial release
